package com.njcn.csreport.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.dto.LineParamDTO;
import com.njcn.csreport.pojo.po.CsAppReport;
import com.njcn.csreport.pojo.vo.ReportEventVO;
import com.njcn.csreport.pojo.vo.ReportHarmonicVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2026-03-19
 */
public interface ICsAppReportService extends IService<CsAppReport> {

    List<ReportHarmonicVO> getReportList(LineParamDTO param);

    String downloadHarmonicReport(LineParamDTO param);

    void applicationReport(LineParamDTO param);

    Page<ReportEventVO> getApplicationReportList(LineParamDTO param);

    Boolean createEventReport(String id);

    String downloadEventReport(String id);

}
